# wxRichTextCell Class Reference

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextCell:
[legend]

## Detailed Description

wxRichTextCell is the cell in a table.

## Public Member Functions
| wxRichTextCell (wxRichTextObject *parent=NULL)
| Default constructor; optionally pass the parent object.
| wxRichTextCell (const wxRichTextCell &obj)
| Copy constructor.
virtual bool | Draw (wxDC &dc, const wxRichTextRange &range, const wxRichTextSelection &selection, const wxRect &rect, int descent, int style)
| Draw the item, within the given range.
virtual wxString | GetXMLNodeName () const
| Returns the XML node name of this object.
virtual bool | CanEditProperties () const
| Returns true if we can edit the object's properties via a GUI.
virtual bool | EditProperties (wxWindow *parent, wxRichTextBuffer *buffer)
virtual wxString | GetPropertiesMenuLabel () const
| Returns the label to be used for the properties context menu item.
virtual wxRichTextObject * | Clone () const
| Clones the object.
void | Copy (const wxRichTextCell &obj)

List of all members.

## Constructor & Destructor Documentation

wxRichTextCell::wxRichTextCell | ( | wxRichTextObject * | parent = `NULL` | ) |

Default constructor; optionally pass the parent object.

wxRichTextCell::wxRichTextCell | ( | const wxRichTextCell & | obj | ) | `[inline]`

Copy constructor.

## Member Function Documentation

virtual bool wxRichTextCell::CanEditProperties | ( |  | ) | const`[inline, virtual]`

Returns true if we can edit the object's properties via a GUI.

Reimplemented from wxRichTextBox.

virtual wxRichTextObject* wxRichTextCell::Clone | ( |  | ) | const`[inline, virtual]`

Clones the object.

Reimplemented from wxRichTextBox.

void wxRichTextCell::Copy | ( | const wxRichTextCell & | obj | ) |

virtual bool wxRichTextCell::Draw | ( | wxDC & | dc,
|  | const wxRichTextRange & | range,
|  | const wxRichTextSelection & | selection,
|  | const wxRect & | rect,
|  | int | descent,
|  | int | style |
| ) |  |  | `[virtual]`

Draw the item, within the given range.

Some objects may ignore the range (for example paragraphs) while others must obey it (lines, to implement wrapping)

Reimplemented from wxRichTextBox.

virtual bool wxRichTextCell::EditProperties | ( | wxWindow * | parent,
|  | wxRichTextBuffer * | buffer |
| ) |  |  | `[virtual]`

Reimplemented from wxRichTextBox.

virtual wxString wxRichTextCell::GetPropertiesMenuLabel | ( |  | ) | const`[inline, virtual]`

Returns the label to be used for the properties context menu item.

Reimplemented from wxRichTextBox.

virtual wxString wxRichTextCell::GetXMLNodeName | ( |  | ) | const`[inline, virtual]`

Returns the XML node name of this object.

This must be overridden for wxXmlNode-base XML export to work.

Reimplemented from wxRichTextBox.

|  | [ top ]